Debian Bug report logs - #566543
ath5k: regression: unable to connect to AP on channel 13

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: "John S. Skogtvedt" <jss@bzz.no>

Date: Sat, 23 Jan 2010 20:27:01 UTC

Severity: important

Tags: squeeze, upstream, wontfix

Found in version 2.6.32-5

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#566543; Package linux-2.6. (Sat, 23 Jan 2010 20:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "John S. Skogtvedt" <jss@bzz.no>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Jan 2010 20:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "John S. Skogtvedt" <jss@bzz.no>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ath5k: regression: unable to connect to AP on channel 13
Date: Sat, 23 Jan 2010 21:24:05 +0100
Package: linux-2.6
Version: 2.6.32-5
Severity: normal

With kernels 2.6.26 and 2.6.30 I am able to connect to an AP on channel 13 without problems, with the following /etc/modprobe.d/cfg80211_reg.conf :
  options cfg80211 ieee80211_regdom=EU

On linux-image-2.6.32-trunk-686 I am not able to connect, nor does the AP show up when running iwlist scan.
I have tried both with and without the ieee80211_regdom option, as well as ieee80211_regdom=NO. cfg80211 autodetects regulatory domain DK if nothing is specified.

My configuration is as follows:
auto wlan0
iface wlan0 inet static
  wpa-driver wext
  wpa-ssid pingvin
  wpa-psk mykey
  address 192.168.1.10
  netmask 255.255.255.0
  gateway 192.168.1.1
  dns-nameservers ...
  dns-search ...

dmesg output with ieee80211_regdom=NO:

$ grep -e "Linux version" -e ath5k -e cfg80211 /var/log/dmesg.0
[    0.000000] Linux version 2.6.32-trunk-686 (Debian 2.6.32-5) (ben@decadent.org.uk) (gcc version 4.3.4 (Debian 4.3.4-6) ) #1 SMP Sun Jan 10 06:32:16 UTC 2010
[    8.197842] cfg80211: Using static regulatory domain info
[    8.197846] cfg80211: Regulatory domain: US
[    8.198141] cfg80211: Calling CRDA for country: US
[    8.198190] cfg80211: Calling CRDA for country: NO
[    8.400510] ath5k 0000:01:0a.0: PCI INT A -> Link[APC1] -> GSI 16 (level, high) -> IRQ 16
[    8.400602] ath5k 0000:01:0a.0: registered as 'phy0'
[    9.251795] ath5k phy0: Atheros AR2414 chip found (MAC: 0x79, PHY: 0x45)
[    9.252114] cfg80211: Calling CRDA for country: DK
[   61.626958] ath5k phy0: noise floor calibration timeout (2462MHz)

Please let me know if you need any more information.


-- Package-specific info:
** Kernel log: boot messages should be attached

** Model information
not available

** PCI devices:
00:00.0 Host bridge [0600]: nVidia Corporation nForce2 IGP2 [10de:01e0] (rev c1)
	Subsystem: ASUSTeK Computer Inc. Device [1043:80ac]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at e0000000 (32-bit, prefetchable) [size=32M]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-nvidia

00:00.1 RAM memory [0500]: nVidia Corporation nForce2 Memory Controller 0 [10de:01ea] (rev c1)
	Subsystem: ASUSTeK Computer Inc. Device [1043:80ac]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:00.2 RAM memory [0500]: nVidia Corporation nForce2 Memory Controller 4 [10de:01ee] (rev c1)
	Subsystem: ASUSTeK Computer Inc. Device [1043:80ac]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:00.3 RAM memory [0500]: nVidia Corporation nForce2 Memory Controller 3 [10de:01ed] (rev c1)
	Subsystem: ASUSTeK Computer Inc. Device [1043:80ac]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:00.4 RAM memory [0500]: nVidia Corporation nForce2 Memory Controller 2 [10de:01ec] (rev c1)
	Subsystem: ASUSTeK Computer Inc. Device [1043:80ac]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:00.5 RAM memory [0500]: nVidia Corporation nForce2 Memory Controller 5 [10de:01ef] (rev c1)
	Subsystem: ASUSTeK Computer Inc. Device [1043:80ac]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-

00:01.0 ISA bridge [0601]: nVidia Corporation nForce2 ISA Bridge [10de:0060] (rev a4)
	Subsystem: ASUSTeK Computer Inc. A7N8X Mainboard [1043:80ad]
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.1 SMBus [0c05]: nVidia Corporation nForce2 SMBus (MCP) [10de:0064] (rev a2)
	Subsystem: ASUSTeK Computer Inc. Device [1043:0c11]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 12
	Region 0: I/O ports at e400 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: nForce2_smbus

00:02.0 USB Controller [0c03]: nVidia Corporation nForce2 USB Controller [10de:0067] (rev a4) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. A7N8X Mainboard [1043:0c11]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at e7001000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd

00:02.1 USB Controller [0c03]: nVidia Corporation nForce2 USB Controller [10de:0067] (rev a4) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. A7N8X Mainboard [1043:0c11]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin B routed to IRQ 22
	Region 0: Memory at e7002000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: ohci_hcd

00:02.2 USB Controller [0c03]: nVidia Corporation nForce2 USB Controller [10de:0068] (rev a4) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. A7N8X Mainboard [1043:0c11]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Interrupt: pin C routed to IRQ 22
	Region 0: Memory at e7003000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:04.0 Ethernet controller [0200]: nVidia Corporation nForce2 Ethernet Controller [10de:0066] (rev a1)
	Subsystem: ASUSTeK Computer Inc. A7N8X Mainboard onboard nForce2 Ethernet [1043:80a7]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (250ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at e7000000 (32-bit, non-prefetchable) [size=4K]
	Region 1: I/O ports at e000 [size=8]
	Capabilities: <access denied>
	Kernel driver in use: forcedeth

00:08.0 PCI bridge [0604]: nVidia Corporation nForce2 External PCI Bridge [10de:006c] (rev a3) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: e5000000-e6ffffff
	Prefetchable memory behind bridge: c4000000-c40fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR+
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr+ DiscTmrStat- DiscTmrSERREn-

00:09.0 IDE interface [0101]: nVidia Corporation nForce2 IDE [10de:0065] (rev a2) (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. Device [1043:0c11]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0 (750ns min, 250ns max)
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	Region 4: I/O ports at f000 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: AMD_IDE

00:1e.0 PCI bridge [0604]: nVidia Corporation nForce2 AGP [10de:01e8] (rev c1) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
	Memory behind bridge: e2000000-e4ffffff
	Prefetchable memory behind bridge: d0000000-dfffffff
	Secondary status: 66MHz+ FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-

01:07.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet [10ec:8169] (rev 10)
	Subsystem: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet [10ec:8169]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (8000ns min, 16000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 19
	Region 0: I/O ports at d000 [size=256]
	Region 1: Memory at e6010000 (32-bit, non-prefetchable) [size=256]
	[virtual] Expansion ROM at c4000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

01:09.0 Multimedia audio controller [0401]: Creative Labs SB Live! EMU10k1 [1102:0002] (rev 0a)
	Subsystem: Creative Labs SBLive! 5.1 eMicro 28028 [1102:8067]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 5000ns max)
	Interrupt: pin A routed to IRQ 17
	Region 0: I/O ports at d400 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: EMU10K1_Audigy

01:09.1 Input device controller [0980]: Creative Labs SB Live! Game Port [1102:7002] (rev 0a)
	Subsystem: Creative Labs Gameport Joystick [1102:0020]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32
	Region 0: I/O ports at d800 [size=8]
	Capabilities: <access denied>
	Kernel driver in use: Emu10k1_gameport

01:0a.0 Ethernet controller [0200]: Atheros Communications Inc. Atheros AR5001X+ Wireless Network Adapter [168c:0013] (rev 01)
	Subsystem: D-Link System Inc D-Link AirPlus DWL-G520 Wireless PCI Adapter(rev.B) [1186:3a13]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168 (2500ns min, 7000ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at e6000000 (32-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: ath5k

02:00.0 VGA compatible controller [0300]: nVidia Corporation NV44A [GeForce 6200] [10de:0221] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: XFX Pine Group Inc. Device [1682:2156]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 248 (1250ns min, 250ns max)
	Interrupt: pin A routed to IRQ 19
	Region 0: Memory at e2000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (32-bit, prefetchable) [size=256M]
	Region 2: Memory at e3000000 (32-bit, non-prefetchable) [size=16M]
	[virtual] Expansion ROM at e4000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia


** USB devices:
Bus 003 Device 002: ID 046d:c510 Logitech, Inc. Cordless Mouse
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 046d:0a0b Logitech, Inc. 
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-2-686 (SMP w/1 CPU core)
Locale: LANG=nb_NO.UTF-8, LC_CTYPE=nb_NO.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.32-trunk-686 depends on:
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.93.4     tools for generating an initramfs
ii  module-init-tools             3.11-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-trunk-686 recommends:
ii  firmware-linux-free           2.6.32-5   Binary firmware for various driver
ii  libc6-i686                    2.10.2-2   GNU C Library: Shared libraries [i

Versions of packages linux-image-2.6.32-trunk-686 suggests:
ii  grub                          0.97-59    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-trunk-686 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#566543; Package linux-2.6. (Sat, 23 Jan 2010 22:42:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to "John S. Skogtvedt" <jss@bzz.no>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Jan 2010 22:42:15 GMT) Full text and rfc822 format available.

Message #10 received at 566543@bugs.debian.org (full text, mbox):

From: "John S. Skogtvedt" <jss@bzz.no>
To: 566543@bugs.debian.org
Subject: Re: Bug#566543: Acknowledgement (ath5k: regression: unable to connect to AP on channel 13)
Date: Sat, 23 Jan 2010 22:36:26 +0100
Further information:

This also occurs on 2.6.30 using ath5k from compat-wireless-2010-01-23.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#566543; Package linux-2.6. (Tue, 26 Jan 2010 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "John S. Skogtvedt" <jss@bzz.no>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Jan 2010 19:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 566543@bugs.debian.org (full text, mbox):

From: "John S. Skogtvedt" <jss@bzz.no>
To: 566543@bugs.debian.org
Subject: Re: Bug#566543: Info received (Bug#566543: Acknowledgement (ath5k: regression: unable to connect to AP on channel 13))
Date: Tue, 26 Jan 2010 20:13:33 +0100
I reported this to the linux-wireless list, thread available
here:
http://news.gmane.org/find-root.php?message_id=%3c4B5CB7AB.7010105%40bzz.no%3e

One of the replies suggested installing CRDA (RFP #536502), which fixed
the problem.

According to Luis R. Rodriguez:
"No, Atheros cards by default abide by a custom strict world regulatory
domain if CRDA is not present."





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#566543; Package linux-2.6. (Tue, 26 Jan 2010 21:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Jan 2010 21:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 566543@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: "John S. Skogtvedt" <jss@bzz.no>, 566543@bugs.debian.org
Subject: Re: Bug#566543: Info received (Bug#566543: Acknowledgement (ath5k: regression: unable to connect to AP on channel 13))
Date: Tue, 26 Jan 2010 22:37:05 +0100
Hello,

On Tue, Jan 26, 2010 at 08:13:33PM +0100, John S. Skogtvedt wrote:
> I reported this to the linux-wireless list, thread available
> here:
> http://news.gmane.org/find-root.php?message_id=%3c4B5CB7AB.7010105%40bzz.no%3e
> 
> One of the replies suggested installing CRDA (RFP #536502), which fixed
> the problem.
> 
> According to Luis R. Rodriguez:
> "No, Atheros cards by default abide by a custom strict world regulatory
> domain if CRDA is not present."
Hmmm, I wonder if this is means that ath5k implements policy by being
more strict than the ieee80211_regdom module?!

Anyhow, IIRC CRDA isn't packaged as it doesn't easily allow
modifications and so it's unclear if it conforms to the DFSG.

Best regards
Uwe

-- 
Pengutronix e.K.                              | Uwe Kleine-König            |
Industrial Linux Solutions                    | http://www.pengutronix.de/  |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#566543; Package linux-2.6. (Sat, 14 Jul 2012 15:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 14 Jul 2012 15:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 566543@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "John S. Skogtvedt" <jss@bzz.no>
Cc: 566543@bugs.debian.org, crda@packages.debian.org
Subject: Re: [lenny -> squeeze regression] ath5k: unable to connect to AP on channel 13 unless crda installed
Date: Sat, 14 Jul 2012 10:26:46 -0500
# wheezy has crda
tags 566543 + upstream squeeze
# regression
severity 566543 important
quit

Hi,

John S. Skogtvedt wrote:

> On linux-image-2.6.32-trunk-686 I am not able to connect, nor does
> the AP show up when running iwlist scan.
[...]
> I reported this to the linux-wireless list, thread available
> here:
> http://news.gmane.org/find-root.php?message_id=%3c4B5CB7AB.7010105%40bzz.no%3e
>
> One of the replies suggested installing CRDA (RFP #536502), which fixed
> the problem.
>
> According to Luis R. Rodriguez:
> "No, Atheros cards by default abide by a custom strict world regulatory
> domain if CRDA is not present."

Interesting.

crda maintainers: do you think crda would be a good candidate for
uploading to squeeze-backports?

Thanks,
Jonathan




Added tag(s) squeeze and upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 14 Jul 2012 15:30:05 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 14 Jul 2012 15:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#566543; Package linux-2.6. (Sat, 14 Jul 2012 21:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 14 Jul 2012 21:30:03 GMT) Full text and rfc822 format available.

Message #34 received at 566543@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: "John S. Skogtvedt" <jss@bzz.no>, 566543@bugs.debian.org, crda@packages.debian.org
Subject: Re: [lenny -> squeeze regression] ath5k: unable to connect to AP on channel 13 unless crda installed
Date: Sat, 14 Jul 2012 16:26:53 -0500
# if there is a patch addressing this regression I'd be
# interested, but I really don't see that happening.
tags 566543 + wontfix

Ben Hutchings wrote:
> On Sat, 2012-07-14 at 10:26 -0500, Jonathan Nieder wrote:
>> John S. Skogtvedt wrote:

>>> On linux-image-2.6.32-trunk-686 I am not able to connect, nor does
>>> the AP show up when running iwlist scan.
>> [...]
>>> I reported this to the linux-wireless list, thread available
>>> here:
>>> http://news.gmane.org/find-root.php?message_id=%3c4B5CB7AB.7010105%40bzz.no%3e
>>>
>>> One of the replies suggested installing CRDA (RFP #536502), which fixed
>>> the problem.
>>>
>>> According to Luis R. Rodriguez:
>>> "No, Atheros cards by default abide by a custom strict world regulatory
>>> domain if CRDA is not present."
[...]
> I've now uploaded crda and wireless-regdb to squeeze-backports.

Thanks much.

I'm not sure what to do about this bug.  Maybe leave it open tagged
wontfix as documentation, or maybe find some more appropriate place
(squeeze errata?) to document that installing crda is strongly
encouraged so we can close it and still set people in the right
direction.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#566543; Package linux-2.6. (Sat, 14 Jul 2012 21:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 14 Jul 2012 21:36:03 GMT) Full text and rfc822 format available.

Message #39 received at 566543@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: "John S. Skogtvedt" <jss@bzz.no>, 566543@bugs.debian.org, crda@packages.debian.org
Subject: Re: [lenny -> squeeze regression] ath5k: unable to connect to AP on channel 13 unless crda installed
Date: Sat, 14 Jul 2012 22:04:51 +0100
[Message part 1 (text/plain, inline)]
On Sat, 2012-07-14 at 10:26 -0500, Jonathan Nieder wrote:
> # wheezy has crda
> tags 566543 + upstream squeeze
> # regression
> severity 566543 important
> quit
> 
> Hi,
> 
> John S. Skogtvedt wrote:
> 
> > On linux-image-2.6.32-trunk-686 I am not able to connect, nor does
> > the AP show up when running iwlist scan.
> [...]
> > I reported this to the linux-wireless list, thread available
> > here:
> > http://news.gmane.org/find-root.php?message_id=%3c4B5CB7AB.7010105%40bzz.no%3e
> >
> > One of the replies suggested installing CRDA (RFP #536502), which fixed
> > the problem.
> >
> > According to Luis R. Rodriguez:
> > "No, Atheros cards by default abide by a custom strict world regulatory
> > domain if CRDA is not present."
> 
> Interesting.
> 
> crda maintainers: do you think crda would be a good candidate for
> uploading to squeeze-backports?

I've now uploaded crda and wireless-regdb to squeeze-backports.  We
really should have had these in squeeze.

Ben.

-- 
Ben Hutchings
The generation of random numbers is too important to be left to chance.
                                                            - Robert Coveyou
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wontfix. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 14 Jul 2012 21:45:03 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Tue, 25 Jun 2013 18:21:17 GMT) Full text and rfc822 format available.

Notification sent to "John S. Skogtvedt" <jss@bzz.no>:
Bug acknowledged by developer. (Tue, 25 Jun 2013 18:21:18 GMT) Full text and rfc822 format available.

Message #46 received at 566543-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 566543-done@bugs.debian.org, 582840-done@bugs.debian.org, 633961-done@bugs.debian.org, 572385-done@bugs.debian.org, 607551-done@bugs.debian.org, 520049-done@bugs.debian.org, 487190-done@bugs.debian.org, 618006-done@bugs.debian.org
Subject: Closing
Date: Tue, 25 Jun 2013 20:19:51 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and has
been tagged "wontfix" for some time, we're closing it now.

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Jul 2013 07:29:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 22:03:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.